/*
 * EMS: Estación Meteorológica Simple
 * Autor: ROBOteach
 * Fecha: 15/06/2023
 * Versión: 1.0
 */

#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BME280.h>

Adafruit_BME280 bmeSensor;  // I2C

unsigned long meassuringTime = 1000; // Lectura de datos una vez por segundo

void setup() {
  Serial.begin(115200);
  Serial.println("EMS: Estación Meteorológica Simple v1.0");

  unsigned status = bmeSensor.begin(0x76);
  if (!status) {
    Serial.println("Error inicializando sensor. Ejecución detenida.");
    while (1);  // HALT
  }
}

void loop() {
  // Mostrar valores
  Serial.print("T: ");
  Serial.print(bmeSensor.readTemperature());
  Serial.print(" °C / ");

  Serial.print("P: ");
  Serial.print(bmeSensor.readPressure() / 100.0F);
  Serial.print(" hPa / ");

  Serial.print("H: ");
  Serial.print(bmeSensor.readHumidity());
  Serial.println(" %");
  
  // Darle tiempo entre medidas
  delay(meassuringTime);
}

